Package org.codehaus.groovy.runtime.typehandling

# Class BigIntegerMath

java.lang.Object
org.codehaus.groovy.runtime.typehandling.NumberMath
org.codehaus.groovy.runtime.typehandling.BigIntegerMath

    public final class BigIntegerMath
    extends NumberMath

BigInteger NumberMath operations

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static BigIntegerMath` | `INSTANCE` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected Number` | `absImpl​(Number number)` |
  `Number` | `addImpl​(Number left, Number right)` |
  `protected Number` | `andImpl​(Number left, Number right)` |
  `protected Number` | `bitwiseNegateImpl​(Number left)` |
  `int` | `compareToImpl​(Number left, Number right)` |
  `Number` | `divideImpl​(Number left, Number right)` |
  `protected Number` | `intdivImpl​(Number left, Number right)` |
  `protected Number` | `leftShiftImpl​(Number left, Number right)` |
  `protected Number` | `modImpl​(Number left, Number right)` |
  `Number` | `multiplyImpl​(Number left, Number right)` |
  `protected Number` | `orImpl​(Number left, Number right)` |
  `protected Number` | `rightShiftImpl​(Number left, Number right)` |
  `Number` | `subtractImpl​(Number left, Number right)` |
  `protected Number` | `unaryMinusImpl​(Number left)` |
  `protected Number` | `unaryPlusImpl​(Number left)` |
  `protected Number` | `xorImpl​(Number left, Number right)` |

  ### Methods inherited from class org.codehaus.groovy.runtime.typehandling.NumberMath

  `abs, add, and, bitwiseNegate, compareTo, createUnsupportedException, divide, getMath, intdiv, isBigDecimal, isBigInteger, isByte, isFloatingPoint, isInteger, isLong, isShort, leftShift, mod, multiply, or, rightShift, rightShiftUnsigned, rightShiftUnsignedImpl, subtract, toBigDecimal, toBigInteger, unaryMinus, unaryPlus, xor`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### INSTANCE

    public static final BigIntegerMath INSTANCE

- ## Method Details

  - ### absImpl

    protected Number absImpl​(Number number)
    Specified by:
      `absImpl` in class `NumberMath`

  - ### addImpl

    public Number addImpl​(Number left, Number right)
    Specified by:
      `addImpl` in class `NumberMath`

  - ### subtractImpl

    public Number subtractImpl​(Number left, Number right)
    Specified by:
      `subtractImpl` in class `NumberMath`

  - ### multiplyImpl

    public Number multiplyImpl​(Number left, Number right)
    Specified by:
      `multiplyImpl` in class `NumberMath`

  - ### divideImpl

    public Number divideImpl​(Number left, Number right)
    Specified by:
      `divideImpl` in class `NumberMath`

  - ### compareToImpl

    public int compareToImpl​(Number left, Number right)
    Specified by:
      `compareToImpl` in class `NumberMath`

  - ### intdivImpl

    protected Number intdivImpl​(Number left, Number right)
    Overrides:
      `intdivImpl` in class `NumberMath`

  - ### modImpl

    protected Number modImpl​(Number left, Number right)
    Overrides:
      `modImpl` in class `NumberMath`

  - ### unaryMinusImpl

    protected Number unaryMinusImpl​(Number left)
    Specified by:
      `unaryMinusImpl` in class `NumberMath`

  - ### unaryPlusImpl

    protected Number unaryPlusImpl​(Number left)
    Specified by:
      `unaryPlusImpl` in class `NumberMath`

  - ### bitwiseNegateImpl

    protected Number bitwiseNegateImpl​(Number left)
    Overrides:
      `bitwiseNegateImpl` in class `NumberMath`

  - ### orImpl

    protected Number orImpl​(Number left, Number right)
    Overrides:
      `orImpl` in class `NumberMath`

  - ### andImpl

    protected Number andImpl​(Number left, Number right)
    Overrides:
      `andImpl` in class `NumberMath`

  - ### xorImpl

    protected Number xorImpl​(Number left, Number right)
    Overrides:
      `xorImpl` in class `NumberMath`

  - ### leftShiftImpl

    protected Number leftShiftImpl​(Number left, Number right)
    Overrides:
      `leftShiftImpl` in class `NumberMath`

  - ### rightShiftImpl

    protected Number rightShiftImpl​(Number left, Number right)
    Overrides:
      `rightShiftImpl` in class `NumberMath`